Create App route
curl --request POST \
--url https://app.promptingco.com/api/v1/apps/{appId}/routes \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"path": "<string>",
"targetId": "<string>"
}
'const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({path: '<string>', targetId: '<string>'})
};
fetch('https://app.promptingco.com/api/v1/apps/{appId}/routes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.promptingco.com/api/v1/apps/{appId}/routes"
payload = {
"path": "<string>",
"targetId": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"ok": true,
"data": {
"id": "<string>",
"appId": "<string>",
"path": "<string>",
"targetType": "product_document",
"targetId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"target": {
"id": "<string>",
"title": "<string>",
"filePath": "<string>",
"sourceUrl": "<string>",
"status": "<string>",
"type": "<string>",
"redirectToUrl": "<string>",
"productId": "<string>"
},
"product": {
"id": "<string>",
"name": "<string>",
"slug": "<string>"
}
}
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}Apps & Publishing
Create App route
POST
/
api
/
v1
/
apps
/
{appId}
/
routes
Create App route
curl --request POST \
--url https://app.promptingco.com/api/v1/apps/{appId}/routes \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"path": "<string>",
"targetId": "<string>"
}
'const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({path: '<string>', targetId: '<string>'})
};
fetch('https://app.promptingco.com/api/v1/apps/{appId}/routes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.promptingco.com/api/v1/apps/{appId}/routes"
payload = {
"path": "<string>",
"targetId": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"ok": true,
"data": {
"id": "<string>",
"appId": "<string>",
"path": "<string>",
"targetType": "product_document",
"targetId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"target": {
"id": "<string>",
"title": "<string>",
"filePath": "<string>",
"sourceUrl": "<string>",
"status": "<string>",
"type": "<string>",
"redirectToUrl": "<string>",
"productId": "<string>"
},
"product": {
"id": "<string>",
"name": "<string>",
"slug": "<string>"
}
}
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}Authorizations
apiKeyAuthbearerAuthcookieAuth
Organization-scoped API key. Available scopes:
- content:read: Read site pages, markdown content, and llms.txt files
- content:write: Create, update, and delete site pages and content
- prompts:read: Read prompts, topics, prompt suggestions, and prompt analysis results
- prompts:write: Create, update, archive prompts and generate, edit, or review prompt suggestions
- simulations:read: Read agent-simulation tasks, runs, environments, and analytics
- simulations:write: Create and trigger simulation runs
- logs:read: Read AI-traffic logs and request-level audit events
- analytics:read: Read analytics aggregates (rankings, mentions, sources, SOV)
- analytics:write: Write events to analytics
- products:read: Read product metadata and competitor data
- products:write: Update product settings and competitor lists
Path Parameters
Minimum string length:
1Body
application/json